//---------------------------------------------------------------------------

#include <vcl.h>

#pragma hdrstop

#include "CustomProgressBar.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TCustomProgressBar *)
{
        new TCustomProgressBar(NULL);
}
//---------------------------------------------------------------------------

__fastcall TCustomProgressBar::TCustomProgressBar(TComponent* Owner)
        : TLabel(Owner)
{
        AutoSize = false;
        Caption = "";
        Width = 55;
        Height = 135;

        bkgColor = (TColor)0x00804000;
        labColor = (TColor)0x00FFFFFF;
        min_val = 0;
        max_val = 100;
        cur_val = 0;
        ok_val = 50;
        war_val = 75;
        line_height = 5;
        left_offset = 28;
        right_offset = 15;
        top_offset = 10;
        bottom_offset = 40;
        border_width = 1;
        draw_labels = true;
        flat = false;
        solid = false;

        Sign = "";
        Font->Size = 8;

        fIcon = new Graphics::TBitmap();
        Height = Height + fIcon->Height;
        bottom_offset = bottom_offset + fIcon->Height;

        mbm = new Graphics::TBitmap();
        mbm->Width = Width;
        mbm->Height = Height;

        
        GREEN4 = (TColor)RGB(150,185,150);
        GREEN6 = (TColor)RGB(187,210,187);

        YELLOW1 = (TColor)RGB(219,219,51);
        YELLOW5 = (TColor)RGB(239,239,171);

        RED4 = (TColor)RGB(219,150,150);
        RED6 = (TColor)RGB(231,187,187);

		DisplayFormat = "%d";
        m_bDivided = false;
}

//---------------------------------------------------------------------------
namespace Customprogressbar
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TCustomProgressBar)};
                 RegisterComponents("Samples", classes, 0);
        }
}
//---------------------------------------------------------------------------
 