//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "FViewSrc.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "EasyClasses"
#pragma link "EasyEditor"
#pragma link "EasyEditSource"
#pragma link "EasyParser"
#pragma link "Placemnt"
#pragma resource "*.dfm"
TFrmViewSrc *FrmViewSrc;
//---------------------------------------------------------------------------
BOOL CALLBACK EnumResNameProc(HMODULE hModule,
							  LPCSTR lpszType,
                              LPSTR lpszName,
                              TStringList* pRes)
{
	pRes->Add(lpszName);
}
//---------------------------------------------------------------------------
__fastcall TFrmViewSrc::TFrmViewSrc(TComponent* Owner)
	: TForm(Owner)
{
	m_pRes = new TStringList();
    EnumResourceNamesA(
        NULL,
        "CPP_SOURCE",
        (ENUMRESNAMEPROC)EnumResNameProc,
        LONG_PTR(m_pRes));
    int i = 0, k = m_pRes->Count;
    for (; i < k; i++)
    {
    	CBSrc->Items->Objects[i] = (TObject*)(m_pRes->Strings[i].c_str());
    }
    CBSrc->ItemIndex = 0;
    ECode->EditSource->TabStops = 4;
    CBSrcChange(NULL);
}
//---------------------------------------------------------------------------
__fastcall TFrmViewSrc::~TFrmViewSrc()
{
	delete m_pRes;
}
//---------------------------------------------------------------------------
void __fastcall TFrmViewSrc::ECodeSourceChanged(TObject *Sender,
      TEasyEditSourceStates State)
{
	if (State.Contains(csPositionChanged))
	{
		StatusBar->Panels->Items[0]->Text =
			AnsiString(ECode->CaretPos.y + 1) + " : " +
			AnsiString(ECode->CaretPos.x + 1);
	}
}
//---------------------------------------------------------------------------
void __fastcall TFrmViewSrc::CBSrcChange(TObject *Sender)
{
	HRSRC hrsrc = FindResource(
    	NULL,
        (LPCSTR)CBSrc->Items->Objects[CBSrc->ItemIndex],
        "CPP_SOURCE");
	if (hrsrc)
    {
    	HGLOBAL h = LoadResource(NULL, hrsrc);
        LPCVOID ptr = LockResource(h);
        ESource->Strings->Text = (LPCSTR)ptr;
        UnlockResource(ptr);
    }
}
//---------------------------------------------------------------------------

