#ifndef _MYPROCESS_H_
#define _MYPROCESS_H_

#include "Process.h"
#include "Utils.h"
#include <tchar.h>

class TMyProcess {
    DWORD OldTime;
    DWORD OldCPUTime;
public:
    DWORD pid;
    ULONG ThreadCount;
    DWORD CPUUse;
    SYSTEMTIME CreateTime;
    LARGE_INTEGER UserTime;
    LARGE_INTEGER KernelTime;
    DWORD BasePriority;
    ULONG ParentPid;
    DWORD USERObjects;
    DWORD GDIObjects;
    ULONG HandleCount;
    VM_COUNTERS VmCounters;
    IO_COUNTERS IoCounters;
    TCHAR ProcessName[MAX_PATH];
    TCHAR UserName[MAX_PATH];
    TCHAR ImagePath[MAX_PATH];

    PSYSTEM_THREADS Threads;

    TMyProcess(PSYSTEM_PROCESSES p);
    ~TMyProcess();
    void UpdateInfo(PSYSTEM_PROCESSES p);
    BOOL Kill();
    BOOL SetPriority(DWORD NewPriority);

    DWORD Flag;
};

#endif // _MYPROCESS_H_
