//---------------------------------------------------------------------------

#ifndef SearchThreadH
#define SearchThreadH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TSearchThread : public TThread
{
private:
    LPBYTE lpStartAddr;
    LPBYTE Data;
    DWORD cbSize;
    BOOL IgnoreCase;
    HANDLE hProcess;
    void __fastcall SearchCallback(LPBYTE lpStartAddr, LPBYTE lpAddr);
    void __fastcall SetProgress();
    void __fastcall CloseProgressDlg();
protected:
    void __fastcall Execute();
public:
    bool Found;
    LPBYTE lpFoundAddr;
    BOOL TimeToTerminate;
    __fastcall TSearchThread(bool CreateSuspended,
        HANDLE hProcess, LPBYTE lpStartAddr, LPBYTE Data,
        DWORD cbSize, BOOL IgnoreCase);
    friend VOID WINAPI SearchCallback(LPBYTE lpStartAddr,
        LPBYTE lpAddr, LPVOID lpParam);
};
//---------------------------------------------------------------------------
#endif
