//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "TChangeWorkingSetDlg.h"
#include "Utils.h"
//---------------------------------------------------------------------
#pragma resource "*.dfm"
TChangeWorkingSetDlg *ChangeWorkingSetDlg;
//---------------------------------------------------------------------
__fastcall TChangeWorkingSetDlg::TChangeWorkingSetDlg(TComponent* AOwner)
	: TForm(AOwner)
{
    SetNumberStyle(Edit1);
    SetNumberStyle(Edit2);
}
//---------------------------------------------------------------------
void __fastcall TChangeWorkingSetDlg::OKBtnClick(TObject *Sender)
{
    if (Edit1->Text.IsEmpty() || Edit2->Text.IsEmpty())
    {
        Application->MessageBox(
            "     ",
            "", MB_OK | MB_ICONEXCLAMATION);
        return;
    }
    MinSize = Edit1->Text.ToInt() << 10;
    MaxSize = Edit2->Text.ToInt() << 10;
    ModalResult = mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TChangeWorkingSetDlg::FormShow(TObject *Sender)
{
    Edit1->Text = MinSize >> 10;
    Edit2->Text = MaxSize >> 10;
}
//---------------------------------------------------------------------------

