//----------------------------------------------------------------------------
#ifndef TEditMemDlgH
#define TEditMemDlgH
//----------------------------------------------------------------------------
#include <vcl\System.hpp>
#include <vcl\Windows.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
//----------------------------------------------------------------------------
class TEditMemDlg : public TForm
{
__published:        
	TButton *OKBtn;
	TButton *CancelBtn;
    TLabel *Label1;
    TLabel *Label3;
    TEdit *AddrEdit;
    TLabel *Label2;
    TComboBox *TypesList;
    TLabel *Label4;
    TComboBox *RadixList;
    TBevel *Bevel1;
    TButton *Button1;
    TMemo *Val;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TypesListChange(TObject *Sender);
    void __fastcall RadixListChange(TObject *Sender);
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall ValKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall OKBtnClick(TObject *Sender);
private:
    LPVOID Addr;
    HANDLE hProcess;
    DWORD ProcessId;
    void __fastcall GetData();
    bool __fastcall SetData();
public:
	virtual __fastcall TEditMemDlg(TComponent* AOwner);
    bool __fastcall Execute(HANDLE hProcess, DWORD ProcessId, LPVOID Addr);
};
//----------------------------------------------------------------------------
extern PACKAGE TEditMemDlg *EditMemDlg;
//----------------------------------------------------------------------------
#endif    
