//---------------------------------------------------------------------------

#ifndef TMemFormH
#define TMemFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "MyProcess.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include <AppEvnts.hpp>
#include "Placemnt.hpp"
//---------------------------------------------------------------------------
class TMemForm : public TForm
{
__published:	// IDE-managed Components
    TControlBar *ControlBar;
    TToolBar *ToolBar;
    TToolButton *SaveBtn;
    TToolButton *ToolButton1;
    TToolButton *RefreshBtn;
    TToolButton *StayOnTopBtn;
    TToolButton *ToolButton5;
	TListView *MemList;
    TImageList *ImageList;
    TStatusBar *StatusBar1;
    TStatusBar *StatusBar2;
	TFormStorage *FormStorage1;
    void __fastcall RefreshBtnClick(TObject *Sender);
    void __fastcall FormResize(TObject *Sender);
    void __fastcall MemListColumnClick(TObject *Sender,
          TListColumn *Column);
    void __fastcall StayOnTopBtnClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall SaveBtnClick(TObject *Sender);
    void __fastcall MemListKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
    TMyProcess *Process;
    int LastCol, OrderBy;
    DWORD Private, Mapped, Image;
    DWORD Committed, Free, Reserved;
    void __fastcall RefreshList();
    void __fastcall SortColumn(int Col, int OrderBy);
public:		// User declarations
    __fastcall TMemForm(TComponent* Owner);
    void __fastcall SetProcess(TMyProcess *prc);
    friend VOID WINAPI EnumProc(PMEMORY_BASIC_INFORMATION, LPVOID);
};
//---------------------------------------------------------------------------
extern PACKAGE TMemForm *MemForm;
//---------------------------------------------------------------------------
#endif
