//---------------------------------------------------------------------
#include <vcl.h>
#include <stdio.h>
#pragma hdrstop

#include "TSearchDlg.h"
#include "Utils.h"
//---------------------------------------------------------------------
#pragma resource "*.dfm"
TSearchDlg *SearchDlg;
//---------------------------------------------------------------------
__fastcall TSearchDlg::TSearchDlg(TComponent* AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------
bool __fastcall TSearchDlg::GetData()
{
    char *q = Buf;
    char TextBuf[256], *p = TextBuf;
    dwSize = 0;
    lstrcpy(TextBuf, Val->Text.c_str());
    if (TypesList->ItemIndex == 5)
    {
        lstrcpy(Buf, p);
        dwSize = lstrlen(Buf);
    }
    else if (TypesList->ItemIndex == 6)
    {
        MultiByteToWideChar(CP_ACP, 0, p, -1, (LPWSTR)Buf, sizeof(Buf));
        dwSize = lstrlenW((LPWSTR)Buf) * sizeof(WCHAR);
    }
    else
    {
        char buf[256], *t;
        while (p)
        {
            while (*p == ' ' || *p == '\t' || *p == '\n' || *p == '\r') p++;
            t = buf;
            *t = 0;
            while (*p && *p != ' ' && *p != '\t' && *p != '\n' && *p != '\r')
                *t++ = *p++;
            *t = 0;
            if (!buf[0]) break;
            if (TypesList->ItemIndex < 3)
            {
                DWORD dw;
                switch (RadixList->ItemIndex)
                {
                    case 0:
                        if (!BinStrToDWord(buf, &dw))
                            return false;
                        break;
                    case 1:
                        if (!OctStrToDWord(buf, &dw))
                            return false;
                        break;
                    case 2:
                        if (!DecStrToDWord(buf, &dw))
                            return false;
                        break;
                    case 3:
                        if (!HexStrToDWord(buf, &dw))
                            return false;
                }
                switch (TypesList->ItemIndex)
                {
                    case 0:
                        *q = (BYTE)dw;
                        dwSize++;
                        q++;
                        break;
                    case 1:
                        *LPWORD(q) = (WORD)dw;
                        dwSize += 2;
                        q += 2;
                        break;
                    case 2:
                        *LPDWORD(q) = (DWORD)dw;
                        dwSize += 4;
                        q += 4;
                }
            }
            else
            {
                double t = atof(buf);
                if (TypesList->ItemIndex == 3)
                {
                    *(float *)q = t;
                    dwSize += 4;
                    q += 4;
                }
                else
                {
                    *(double *)q = t;
                    dwSize += 8;
                    q += 8;
                }
            }
        }
    }

    return true;
}
//---------------------------------------------------------------------------
void __fastcall TSearchDlg::OKBtnClick(TObject *Sender)
{
    if (!GetData())
    {
        Application->MessageBox("    \n\
   ", "", MB_OK | MB_ICONEXCLAMATION);
        return;
    }
    ModalResult = mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TSearchDlg::TypesListChange(TObject *Sender)
{
    RadixList->Enabled = TypesList->ItemIndex < 3;
}
//---------------------------------------------------------------------------
void __fastcall TSearchDlg::FormShow(TObject *Sender)
{
    Val->SetFocus();
}
//---------------------------------------------------------------------------

