//---------------------------------------------------------------------------

#ifndef TThreadsFormH
#define TThreadsFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include "MyProcess.h"
#include <Menus.hpp>
#include "Placemnt.hpp"
//---------------------------------------------------------------------------
class TThreadsForm : public TForm
{
__published:	// IDE-managed Components
    TStatusBar *StatusBar;
    TControlBar *ControlBar;
    TToolBar *ToolBar;
    TImageList *ImageList;
    TListView *ThreadsList;
    TToolButton *RefreshBtn;
    TToolButton *StayOnTopBtn;
    TToolButton *SaveBtn;
    TToolButton *ToolButton4;
    TToolButton *ToolButton5;
    TToolButton *TerminateBtn;
    TPopupMenu *ThreadPopup;
    TMenuItem *iTerminate;
    TToolButton *ResumeBtn;
    TToolButton *SuspendBtn;
    TMenuItem *N1;
    TMenuItem *iSuspend;
    TMenuItem *iResume;
    TMenuItem *N2;
    TMenuItem *iPriority;
    TMenuItem *iTimeCritical;
    TMenuItem *iHighest;
    TMenuItem *iAboveNormal;
    TMenuItem *iNormal;
    TMenuItem *iBelowNormal;
    TMenuItem *iLowest;
    TMenuItem *iIdle;
    TMenuItem *N3;
    TMenuItem *iSecurity;
	TMenuItem *iCallStack;
	TFormStorage *FormStorage1;
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall ThreadsListColumnClick(TObject *Sender,
          TListColumn *Column);
    void __fastcall FormResize(TObject *Sender);
    void __fastcall StayOnTopBtnClick(TObject *Sender);
    void __fastcall RefreshBtnClick(TObject *Sender);
    void __fastcall SaveBtnClick(TObject *Sender);
    void __fastcall ThreadsListSelectItem(TObject *Sender, TListItem *Item,
          bool Selected);
    void __fastcall TerminateBtnClick(TObject *Sender);
    void __fastcall ThreadsListKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall iTerminateClick(TObject *Sender);
    void __fastcall ResumeBtnClick(TObject *Sender);
    void __fastcall SuspendBtnClick(TObject *Sender);
    void __fastcall SetPriority(TObject *Sender);
    void __fastcall iSecurityClick(TObject *Sender);
    void __fastcall ThreadsListMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
	void __fastcall iCallStackClick(TObject *Sender);
private:	// User declarations
    TMyProcess *Process;
    int LastCol, OrderBy;
    void __fastcall SortColumn(int Col, int OrderBy);
    void __fastcall AddThreadToList(TListItem *li, PSYSTEM_THREADS pThread);
	void __fastcall SuspendResume(bool Suspend);
	bool __fastcall ReadProcessMem(HANDLE hProcess, PVOID pRemoteAddr,
		PDWORD pLocalAddr);
public:		// User declarations
    __fastcall TThreadsForm(TComponent* Owner);
    void __fastcall SetProcess(TMyProcess *prc);
    void __fastcall RefreshList();
};
//---------------------------------------------------------------------------
extern PACKAGE TThreadsForm *ThreadsForm;
//---------------------------------------------------------------------------
#endif
