//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "TVersionDlg.h"
#include "Utils.h"
//---------------------------------------------------------------------
#pragma resource "*.dfm"
TVersionDlg *VersionDlg;
//---------------------------------------------------------------------
__fastcall TVersionDlg::TVersionDlg(TComponent* AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------
void __fastcall TVersionDlg::ShowVersionInfo(AnsiString FileName)
{
    char buf[256];

    try
    {
        if (!GetVersionString(FileName.c_str(), "FileVersion", buf, sizeof(buf)))
            throw 0;

        Edit1->Text = buf;

        GetFileCreateDateTime(FileName.c_str(), buf);
        Edit2->Text = buf;
        GetFileWriteDateTime(FileName.c_str(), buf);
        Edit3->Text = buf;

        GetVersionString(FileName.c_str(), "CompanyName", buf, sizeof(buf));
        Edit4->Text = buf;
        GetVersionString(FileName.c_str(), "InternalName", buf, sizeof(buf));
        Edit5->Text = buf;
        GetVersionString(FileName.c_str(), "VersionLanguage", buf, sizeof(buf));
        Edit6->Text = buf;
        GetVersionString(FileName.c_str(), "OriginalFilename", buf, sizeof(buf));
        Edit7->Text = buf;
        GetVersionString(FileName.c_str(), "ProductVersion", buf, sizeof(buf));
        Edit8->Text = buf;
        GetVersionString(FileName.c_str(), "FileDescription", buf, sizeof(buf));
        Edit9->Text = buf;
        GetVersionString(FileName.c_str(), "ProductName", buf, sizeof(buf));
        Edit10->Text = buf;
    }
    catch (int)
    {
        Application->MessageBox("     ",
            "", MB_OK | MB_ICONEXCLAMATION);
        return;
    }
    ShowModal();
}
//---------------------------------------------------------------------

