//---------------------------------------------------------------------------

#include <vcl.h>
#include <tchar.h>
#include <stdio.h>
#include "Process.h"
#include "Procs.h"
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Main.cpp", MainForm);
USEFORM("TColumnsDlg.cpp", ColumnsDlg);
USEFORM("TPrivilegeDlg.cpp", PrivilegeDlg);
USEFORM("TModsForm.cpp", ModsForm);
USEFORM("TSaveTableDlg.cpp", SaveTableDlg);
USEFORM("TVersionDlg.cpp", VersionDlg);
USEFORM("TStartupInfoDlg.cpp", StartupInfoDlg);
USEFORM("TMemForm.cpp", MemForm);
USEFORM("TViewMemForm.cpp", ViewMemForm);
USEFORM("TEditMemDlg.cpp", EditMemDlg);
USEFORM("TSearchDlg.cpp", SearchDlg);
USEFORM("TProgressDlg.cpp", ProgressDlg);
USEFORM("TThreadsForm.cpp", ThreadsForm);
USEFORM("TChangeWorkingSetDlg.cpp", ChangeWorkingSetDlg);
USEFORM("TCallStackDlg.cpp", CallStackDlg);
USEFORM("TModSearchDlg.cpp", ModSearchDlg);
USEFORM("SnapshotFrm.cpp", SnapshotForm);
USEFORM("FAbout.cpp", AboutDlg);
USEFORM("FViewSrc.cpp", FrmViewSrc);
USEFORM("FHandles.cpp", FrmHandles);
USEFORM("FFindHandle.cpp", FrmFindHandle);
//---------------------------------------------------------------------------
int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    CoInitialize(NULL);
    if (!LoadProcessDLLs() || !LoadProcs())
    {
        MessageBox(HWND_DESKTOP, "     ,\n\
   ", "", MB_OK | MB_ICONSTOP);
        return 0;
    }
    try
    {
         Application->Initialize();
         Application->Title = " ";
         Application->CreateForm(__classid(TMainForm), &MainForm);
		Application->CreateForm(__classid(TModsForm), &ModsForm);
		Application->CreateForm(__classid(TColumnsDlg), &ColumnsDlg);
		Application->CreateForm(__classid(TPrivilegeDlg), &PrivilegeDlg);
		Application->CreateForm(__classid(TSaveTableDlg), &SaveTableDlg);
		Application->CreateForm(__classid(TVersionDlg), &VersionDlg);
		Application->CreateForm(__classid(TStartupInfoDlg), &StartupInfoDlg);
		Application->CreateForm(__classid(TMemForm), &MemForm);
		Application->CreateForm(__classid(TEditMemDlg), &EditMemDlg);
		Application->CreateForm(__classid(TSearchDlg), &SearchDlg);
		Application->CreateForm(__classid(TProgressDlg), &ProgressDlg);
		Application->CreateForm(__classid(TThreadsForm), &ThreadsForm);
		Application->CreateForm(__classid(TChangeWorkingSetDlg), &ChangeWorkingSetDlg);
		Application->CreateForm(__classid(TCallStackDlg), &CallStackDlg);
		Application->CreateForm(__classid(TModSearchDlg), &ModSearchDlg);
		Application->CreateForm(__classid(TSnapshotForm), &SnapshotForm);
		Application->CreateForm(__classid(TAboutDlg), &AboutDlg);
		Application->CreateForm(__classid(TFrmViewSrc), &FrmViewSrc);
		Application->CreateForm(__classid(TFrmHandles), &FrmHandles);
		Application->CreateForm(__classid(TFrmFindHandle), &FrmFindHandle);
		Application->Run();
    }
    catch (Exception &exception)
    {
         Application->ShowException(&exception);
    }
    catch (...)
    {
         try
         {
             throw Exception("");
         }
         catch (Exception &exception)
         {
             Application->ShowException(&exception);
         }
    }
	return 0;
}
//---------------------------------------------------------------------------

