//---------------------------------------------------------------------------

#ifndef FHandlesH
#define FHandlesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "Placemnt.hpp"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include "MyProcess.h"
//---------------------------------------------------------------------------
class TFrmHandles : public TForm
{
__published:	// IDE-managed Components
	TControlBar *ControlBar;
	TToolBar *ToolBar;
	TToolButton *SaveBtn;
	TToolButton *ToolButton1;
	TToolButton *RefreshBtn;
	TToolButton *StayOnTopBtn;
	TToolButton *ToolButton5;
	TListView *LVHandles;
	TFormStorage *FormStorage1;
	TImageList *ImageList;
	TStatusBar *StatusBar;
	TToolButton *BSearch;
	void __fastcall RefreshBtnClick(TObject *Sender);
	void __fastcall FormResize(TObject *Sender);
	void __fastcall StayOnTopBtnClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall SaveBtnClick(TObject *Sender);
	void __fastcall LVHandlesKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall LVHandlesColumnClick(TObject *Sender,
          TListColumn *Column);
private:	// User declarations
	TMyProcess* Process;
    int LastCol, OrderBy;
	void __fastcall RefreshList();
	void __fastcall SortColumn(int Col, int OrderBy);
public:		// User declarations
	__fastcall TFrmHandles(TComponent* Owner);
	void __fastcall SetProcess(TMyProcess *prc);
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmHandles *FrmHandles;
//---------------------------------------------------------------------------
#endif
