//---------------------------------------------------------------------------

#ifndef FViewSrcH
#define FViewSrcH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "EasyClasses.hpp"
#include "EasyEditor.hpp"
#include "EasyEditSource.hpp"
#include "EasyParser.hpp"
#include <ComCtrls.hpp>
#include "Placemnt.hpp"
#include <vector>
//---------------------------------------------------------------------------
class TFrmViewSrc : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TComboBox *CBSrc;
	TLabel *Label1;
	TEasyEditorParser *EParser;
	TEasyEditSource *ESource;
	TEasyEdit *ECode;
	TStatusBar *StatusBar;
	TFormStorage *FormStorage1;
	void __fastcall ECodeSourceChanged(TObject *Sender,
          TEasyEditSourceStates State);
	void __fastcall CBSrcChange(TObject *Sender);
private:	// User declarations
	TStringList* m_pRes;
public:		// User declarations
	__fastcall TFrmViewSrc(TComponent* Owner);
	__fastcall ~TFrmViewSrc();
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmViewSrc *FrmViewSrc;
//---------------------------------------------------------------------------
#endif
