//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "TColumnsDlg.h"
#include "Columns.h"
#include "Utils.h"
//---------------------------------------------------------------------
#pragma resource "*.dfm"
TColumnsDlg *ColumnsDlg;
//---------------------------------------------------------------------
__fastcall TColumnsDlg::TColumnsDlg(TComponent* AOwner)
	: TForm(AOwner)
{
    DWORD Mask = IsWinNT() ? WINNT_MASK : WIN9X_MASK;
    for (int i = 0; i < NUM_COLUMNS; i++)
    {
        if (!(Mask & (1 << i))) continue;
        ColsList->Items->Add(
            AnsiString(ColInfo[i].FullName) + " (" +
            ColInfo[i].DisplayName + ')');
    }
}
//---------------------------------------------------------------------
void __fastcall TColumnsDlg::ColsListClickCheck(TObject *Sender)
{
    if (!ColsList->Checked[0]) ColsList->Checked[0] = true;
}
//---------------------------------------------------------------------------
void __fastcall TColumnsDlg::OKBtnClick(TObject *Sender)
{
    DWORD Mask = IsWinNT() ? WINNT_MASK : WIN9X_MASK;
    Columns = 0;
    for (int i = 0, j = 0; i < NUM_COLUMNS; i++)
    {
        if (!(Mask & (1 << i))) continue;
        Columns |= (ColsList->Checked[j] << i);
        j++;
    }
}
//---------------------------------------------------------------------------
void __fastcall TColumnsDlg::FormShow(TObject *Sender)
{
    DWORD t = Columns, Mask = IsWinNT() ? WINNT_MASK : WIN9X_MASK;
    for (int i = 0, j = 0; i < NUM_COLUMNS; i++, t >>= 1)
    {
        if (!(Mask & (1 << i))) continue;
        ColsList->Checked[j] = t & 1;
        j++;
    }
    ColsList->ItemIndex = 0;
    ColsList->SetFocus();
}
//---------------------------------------------------------------------------

