//----------------------------------------------------------------------------
#ifndef TModSearchDlgH
#define TModSearchDlgH
//----------------------------------------------------------------------------
#include <vcl\System.hpp>
#include <vcl\Windows.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
#include <ComCtrls.hpp>
//----------------------------------------------------------------------------
class TModSearchDlg : public TForm
{
__published:
    TButton *SearchBtn;
    TButton *CloseBtn;
    TLabeledEdit *ModName;
    TLabel *Label1;
    TListView *ModsList;
    TButton *TerminateBtn;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall SearchBtnClick(TObject *Sender);
    void __fastcall ModsListSelectItem(TObject *Sender, TListItem *Item,
          bool Selected);
    void __fastcall TerminateBtnClick(TObject *Sender);
	void __fastcall ModsListColumnClick(TObject *Sender, TListColumn *Column);
private:
public:
	virtual __fastcall TModSearchDlg(TComponent* AOwner);
};
//----------------------------------------------------------------------------
extern PACKAGE TModSearchDlg *ModSearchDlg;
//----------------------------------------------------------------------------
#endif    
