//---------------------------------------------------------------------------

#ifndef TModsFormH
#define TModsFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <ImgList.hpp>
#include "MyProcess.h"
#include "Placemnt.hpp"
//---------------------------------------------------------------------------
class TModsForm : public TForm
{
__published:	// IDE-managed Components
    TListView *ModsList;
    TControlBar *ControlBar;
    TToolBar *ToolBar;
    TToolButton *CopyBtn;
    TToolButton *SaveBtn;
    TToolButton *VerInfoBtn;
    TToolButton *StayOnTopBtn;
    TToolButton *ToolButton5;
    TImageList *ImageList;
    TToolButton *ToolButton1;
    TStatusBar *StatusBar;
    TToolButton *RefreshBtn;
    TPopupMenu *ModsPopup;
    TMenuItem *iCopy;
    TMenuItem *iVerInfo;
    TMenuItem *N1;
    TMenuItem *iProperties;
	TFormStorage *FormStorage1;
    void __fastcall ModsListColumnClick(TObject *Sender,
          TListColumn *Column);
    void __fastcall FormResize(TObject *Sender);
    void __fastcall StayOnTopBtnClick(TObject *Sender);
    void __fastcall CopyBtnClick(TObject *Sender);
    void __fastcall ModsListSelectItem(TObject *Sender, TListItem *Item,
          bool Selected);
    void __fastcall SaveBtnClick(TObject *Sender);
    void __fastcall VerInfoBtnClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall RefreshBtnClick(TObject *Sender);
    void __fastcall ModsListKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall iCopyClick(TObject *Sender);
    void __fastcall iVerInfoClick(TObject *Sender);
    void __fastcall iPropertiesClick(TObject *Sender);
private:	// User declarations
    TMyProcess *Process;
    int LastCol, OrderBy;
    void __fastcall SortColumn(int Col, int OrderBy);
    void __fastcall RefreshList();
public:		// User declarations
    __fastcall TModsForm(TComponent* Owner);
    void __fastcall SetProcess(TMyProcess *prc);
};
//---------------------------------------------------------------------------
extern PACKAGE TModsForm *ModsForm;
//---------------------------------------------------------------------------
#endif
