//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "TProgressDlg.h"
//---------------------------------------------------------------------
#pragma resource "*.dfm"
TProgressDlg *ProgressDlg;
HANDLE hClosedEvent = CreateEvent(NULL, FALSE, FALSE, NULL);
//---------------------------------------------------------------------
__fastcall TProgressDlg::TProgressDlg(TComponent* AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------
void __fastcall TProgressDlg::SetProgress(LPBYTE lpStartAddr, LPBYTE lpAddr)
{
    __int64 a = __int64(lpAddr - lpStartAddr) * 100;
    int Percent = a / DWORD((LPBYTE)0x80000000 - lpStartAddr);
    ProgressBar->Position = Percent;
    char buf[32];
    wsprintf(buf, "%d%% ", Percent);
    Label3->Caption = buf;
}
//---------------------------------------------------------------------
void __fastcall TProgressDlg::FormShow(TObject *Sender)
{
    ProgressBar->Position = 0;
    Label3->Caption = "0% ";
}
//---------------------------------------------------------------------------
DWORD WINAPI ThreadProc(LPVOID)
{
    Sleep(1000);
    return 0;
}
//---------------------------------------------------------------------------
void __fastcall TProgressDlg::Execute()
{
    DWORD ThreadId, w;
    HANDLE hEvents[2];
    HANDLE hThread = CreateThread(NULL, 0, ThreadProc, NULL, 0, &ThreadId);
    hEvents[0] = hThread;
    hEvents[1] = hClosedEvent;
    if (WaitForMultipleObjects(2, hEvents, FALSE, INFINITE) ==
        WAIT_OBJECT_0) ShowModal();
    TerminateThread(hThread, 0);
    CloseHandle(hThread);
}
//---------------------------------------------------------------------------

