//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "TStartupInfoDlg.h"
#include "Process.h"
//--------------------------------------------------------------------- 
#pragma resource "*.dfm"
TStartupInfoDlg *StartupInfoDlg;
//---------------------------------------------------------------------
__fastcall TStartupInfoDlg::TStartupInfoDlg(TComponent* AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------
void __fastcall TStartupInfoDlg::ShowStartupInfo(DWORD dwProcessId)
{
    LPTSTR lpStartupDir, lpCmdLine, lpEnvVars;
    HANDLE hHeap = GetProcessHeap();

    GetProcessStartupInfo(dwProcessId, &lpStartupDir, &lpCmdLine, &lpEnvVars);

    Edit1->Text = lpStartupDir;
    if (lpStartupDir) HeapFree(hHeap, 0, lpStartupDir);

    Edit2->Text = lpCmdLine;
    if (lpCmdLine) HeapFree(hHeap, 0, lpCmdLine);

    ListBox1->Clear();
    int max = 0;
    if (lpEnvVars)
    {
        char *p = lpEnvVars;
        do
        {
            if (p[0] != '=')
            {
                ListBox1->Items->Add(p);
                int n = ListBox1->Canvas->TextWidth(p);
                if (n > max) max = n;
            }
            while (*p++);
        } while (*p);
        HeapFree(hHeap, 0, lpEnvVars);
    }
    ListBox1->ScrollWidth = max + 16;

    ShowModal();
}
//---------------------------------------------------------------------
void __fastcall TStartupInfoDlg::FormShow(TObject *Sender)
{
    Edit1->SetFocus();
}
//---------------------------------------------------------------------------

