#ifndef _UTILS_H_
#define _UTILS_H_

#include <windows.h>

BOOL IsWinNT();
void FormatSize2(LPTSTR buf, DWORD Size);
void FormatSize(LPTSTR buf, DWORD Size);
int MyCompareStr(LPTSTR s1, LPTSTR s2, BOOL IsNumber);
BOOL GetFileCreateDateTime(LPTSTR FileName, LPTSTR DateTime);
BOOL GetFileWriteDateTime(LPTSTR FileName, LPTSTR DateTime);
BOOL CopyStringToClipboard(LPSTR lpStr);
void SetStayOnTop(HWND hWnd, BOOL StayOnTop);
void SetNumberStyle(HWND hWnd);
BOOL SaveListView(HWND hWnd, LPTSTR FileName, DWORD CodePage, DWORD Decoration);
BOOL GetVersionString(LPTSTR FileName, LPTSTR VersionStr, LPTSTR lpBuf, DWORD cbBuf);
BOOL ShowFileProperties(LPTSTR FileName);

void ByteToBinStr(BYTE b, LPTSTR lpStr);
void WordToBinStr(WORD w, LPTSTR lpStr);
void DWordToBinStr(DWORD dw, LPTSTR lpStr);
void ByteToOctStr(BYTE b, LPTSTR lpStr);
void WordToOctStr(WORD w, LPTSTR lpStr);
void DWordToOctStr(DWORD dw, LPTSTR lpStr);

BOOL BinStrToDWord(LPSTR lpStr, LPDWORD lpDw);
BOOL OctStrToDWord(LPSTR lpStr, LPDWORD lpDw);
BOOL DecStrToDWord(LPSTR lpStr, LPDWORD lpDw);
BOOL HexStrToDWord(LPSTR lpStr, LPDWORD lpDw);

VOID WINAPI ShowGUIError(HWND hWnd, LPSTR Comment);

#endif // _UTILS_H_
